# MacOS SMB icon switcher

A shell script to replace the obnoxious BSOD icon for SMB shares that has been present in MacOS for years.

# Notes
  * This script uses the generic PC or monitor icon from the OS as the default icon for SMB (Windows) shares.
## MacOS 10.15 Catalina and newer
You'll need to disable filesystem protection *and* System Integrity Protection. Boot into recovery (Cmd+R), launch the terminal from the **Utilities** menu, and enter the following:
```bash
csrutil enable --without fs
csrutil disable
```
Boot back in to your regular OS, launch Terminal, and run the following to remount the system volume as read/write:
```bash
sudo mount -uw /
```